Page MenuHome

Failure to install add-on with multiple dots in filename
Closed, ResolvedPublic

Description

System Information
Operating system:
Graphics card:

Blender Version
Broken: (example: 2.80, edbf15d3c044, master, 2018-11-28, as found on the splash screen)
Worked: 2.79*

Short description of error
Please see my screencast

Details

Type
Bug

Event Timeline

Brecht Van Lommel (brecht) lowered the priority of this task from Needs Triage by Developer to Needs Information from User.May 31 2019, 7:31 PM

Please provide all the requested information in the bug submission template, and exact steps to reproduce the issue.

If it's a specific add-on that fails, attach the add-on.

brothermechanic (brothermechanic) renamed this task from Can't load addon from Alternate path to Can't load addon from User and Alternate paths.May 31 2019, 7:49 PM
brothermechanic (brothermechanic) renamed this task from Can't load addon from User and Alternate paths to Can't load addon from User path.

Multiple dots in filename make it fails, try to rename your .zip into Modeling-clothing-28.zip

Brecht Van Lommel (brecht) renamed this task from Can't load addon from User path to Failure to install add-on with dot in name.Jun 6 2019, 6:12 PM
Brecht Van Lommel (brecht) renamed this task from Failure to install add-on with dot in name to Failure to install add-on with multiple dots in filename.
Brecht Van Lommel (brecht) raised the priority of this task from Needs Information from User to Confirmed, Medium.

Checked this, and it is not the . in the zipfile name, offending is the . in the foldername inside that zipfile...
2.79 also didnt allow for this (not sure why the report suggests this was working there?)

  • folder Modeling-Cloth-2.8-master in Modeling-Cloth-2.8-master.zip -> failure
  • folder Modeling-Cloth-2_8-master in Modeling-Cloth-2.8-master.zip -> success

As the folder will be the python package: pretty sure python doesnt allow for top level packages to contain a .?

For sure bpy.path.module_names() doesnt allow this [which is why this addon then wont be loaded]

What we could do here though is to check inside the .zip if we would find offending package names prior to copying this to the addons folder and tell the user that the installation failed.

Philipp Oeser (lichtwerk) closed this task as Resolved.Tue, Oct 29, 9:32 AM

This has now been addressed/clarified by rB9267e6275cc9, closing...